Name:           python-osidb-bindings
Version:        4.6.3
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Python bindings for accessing OSIDB API

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/RedHatProductSecurity/osidb-bindings
Source:         %{pypi_source osidb_bindings}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'osidb-bindings' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-osidb-bindings
Summary:        %{summary}

%description -n python3-osidb-bindings %_description


%prep
%autosetup -p1 -n osidb_bindings-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-osidb-bindings -f %{pyproject_files}


%changelog
%autochangelog